------ Please ensure appropriate table names are used before running this script ---------

--------------- Create Temporary Event Table ----------------------------------

CREATE TABLE FTPTABLETMP 
(
	EVNTID		varchar(255) not null primary key,
	EVNTSTAT	int,
	XID		    varchar(255),
	BQTOTAL		int,
    BQPROC		int,
	EVNTDATA	varchar(255)
);

-------------- Copy Data From Old Event Table Into Temporary Table ------------

INSERT INTO FTPTABLETMP (EVNTID, EVNTSTAT, XID, BQTOTAL, BQPROC, EVNTDATA) SELECT EVNTID, EVNTSTAT, XID, BQTOTAL, BQPROC, EVNTDATA FROM FTPTABLE;

-------------- Delete Old Event Table -----------------------------------------

DROP TABLE FTPTABLE;

-------------- Create New Event Table -----------------------------------------

CREATE TABLE FTPTABLE 
(
	EVNTID		varchar(255) not null primary key,
	EVNTSTAT	int,
	XID		    varchar(255),
	BOSRTPOS	bigint,
    BOENDPOS	bigint,
    TIMESTMP	smalldatetime,
	EVNTDATA	varchar(255)
);

------------ Copy Data From Temporary Table to New Event Table ----------------

INSERT INTO FTPTABLE (EVNTID, EVNTSTAT, XID, EVNTDATA) SELECT EVNTID, EVNTSTAT, XID, EVNTDATA FROM FTPTABLETMP;

------------ Delete Temporary Event Table -------------------------------------

DROP TABLE FTPTABLETMP;